Attribute VB_Name = "modMain"
Option Explicit

Declare Function URLDownloadToFile Lib "urlmon" Alias "URLDownloadToFileA" (ByVal pCaller As Long, ByVal szURL As String, ByVal szFileName As String, ByVal dwReserved As Long, ByVal lpfnCB As Long) As Long

Public Function DownloadFile(URL As String, LocalFilename As String) As Boolean
    
    Dim lngRetVal As Long
    
    lngRetVal = URLDownloadToFile(0, URL, LocalFilename, 0, 0)
    DownloadFile = CBool(lngRetVal = 0)

End Function

Public Sub Main()

    Dim aOptions, Tell As Long, bShowForm As Boolean
    
    ' Load settings and data
    frmMain.LoadData
    
    ' Show the form as default
    bShowForm = True
    
    aOptions = Split(Command$, " ")

    For Tell = LBound(aOptions) To UBound(aOptions)
        
        Select Case LCase(aOptions(Tell))
        Case "-e" ' Execute
        
            frmMain.DownloadFiles
        
            ' Don't show the settings-form
            bShowForm = False
        
        Case "-s"
        
            ' Show it
            bShowForm = True
        
        End Select
        
    Next
    
    ' Show the form
    If bShowForm = True Then
        frmMain.Show
    Else
        Unload frmMain
    End If
        
End Sub

Public Function GetFileName(sFile As String) As String

    On Error Resume Next
    GetFileName = Mid(sFile, 1, InStr(sFile, ".") - 1)

End Function

Public Function GetExtension(sFile As String) As String

    On Error Resume Next
    GetExtension = Right(sFile, Len(sFile) - InStrRev(sFile, "."))

End Function

Public Function GetURLName(sURL As String) As String

    On Error Resume Next
    GetURLName = Right(sURL, Len(sURL) - InStrRev(sURL, "/"))

End Function

Public Function ValidPath(sPath As String) As String

    On Error Resume Next
    ValidPath = sPath & IIf(Right(sPath, 1) = "\", "", "\")

End Function
