VERSION 5.00
Begin VB.Form frmMain 
   BorderStyle     =   1  'Fixed Single
   Caption         =   "Download file"
   ClientHeight    =   5235
   ClientLeft      =   45
   ClientTop       =   345
   ClientWidth     =   5925
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   ScaleHeight     =   5235
   ScaleWidth      =   5925
   StartUpPosition =   3  'Windows Default
   Begin VB.CommandButton cmdExit 
      Caption         =   "&Exit"
      Height          =   375
      Left            =   2520
      TabIndex        =   3
      Top             =   4680
      Width           =   1575
   End
   Begin VB.CommandButton cmdSave 
      Caption         =   "&Save"
      Height          =   375
      Left            =   4200
      TabIndex        =   2
      Top             =   4680
      Width           =   1575
   End
   Begin VB.Frame Frame1 
      Caption         =   "Settings:"
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   8.25
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   855
      Left            =   120
      TabIndex        =   1
      Top             =   3480
      Width           =   5655
      Begin VB.PictureBox picSettings 
         BorderStyle     =   0  'None
         Height          =   495
         Left            =   120
         ScaleHeight     =   495
         ScaleWidth      =   5415
         TabIndex        =   4
         Top             =   240
         Width           =   5415
         Begin VB.TextBox txtPath 
            Height          =   285
            Left            =   1920
            TabIndex        =   5
            Top             =   120
            Width           =   3335
         End
         Begin VB.Label lblPath 
            Caption         =   "Folder to download to:"
            Height          =   255
            Left            =   0
            TabIndex        =   6
            Top             =   120
            Width           =   1695
         End
      End
   End
   Begin VB.Frame frameFiles 
      Caption         =   "Files to download:"
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   8.25
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   3255
      Left            =   120
      TabIndex        =   0
      Top             =   120
      Width           =   5655
      Begin VB.PictureBox picFilesToDownload 
         BorderStyle     =   0  'None
         Height          =   2775
         Left            =   220
         ScaleHeight     =   2775
         ScaleWidth      =   5295
         TabIndex        =   7
         Top             =   360
         Width           =   5295
         Begin VB.CommandButton cmdClearAll 
            Caption         =   "&Clear all"
            Height          =   375
            Left            =   3480
            TabIndex        =   11
            Top             =   2280
            Width           =   1695
         End
         Begin VB.CommandButton cmdRemoveFile 
            Caption         =   "&Remove file"
            Height          =   375
            Left            =   1680
            TabIndex        =   10
            Top             =   2280
            Width           =   1695
         End
         Begin VB.CommandButton cmdAddFile 
            Caption         =   "&Add file"
            Height          =   375
            Left            =   0
            TabIndex        =   9
            Top             =   2280
            Width           =   1575
         End
         Begin VB.ListBox lstFiles 
            Height          =   2205
            Left            =   0
            MultiSelect     =   1  'Simple
            TabIndex        =   8
            Top             =   0
            Width           =   5175
         End
      End
   End
End
Attribute VB_Name = "frmMain"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Dim Files As New clsFiles
Dim Settings As New clsSettings

Private Sub cmdAddFile_Click()

    Dim sFile As String
    
    sFile = InputBox("Write the URL to the file to be downloaded")
    
    If sFile <> "" Then
        Files.AddFile sFile
    End If

    ' Update the listbox
    Files.AddToList lstFiles

End Sub

Private Sub cmdClearAll_Click()

    Files.ClearAll
    Files.AddToList lstFiles

End Sub

Private Sub cmdExit_Click()

    Unload Me

End Sub

Private Sub cmdRemoveFile_Click()

    Dim Tell As Long
    
    For Tell = 0 To lstFiles.ListCount - 1
        If lstFiles.Selected(Tell) Then
            Files.RemoveFile Tell
        End If
    Next
    
    ' Update the listbox
    Files.AddToList lstFiles

End Sub

Private Sub cmdSave_Click()

    ' Save the files and settings
    Files.SaveData ValidPath(App.Path) & "Files.dat"
    Settings.WriteString "General", "FolderPath", txtPath.Text

End Sub

Public Sub LoadData()

    ' Load the default file and settings
    Files.LoadData ValidPath(App.Path) & "Files.dat"
    Settings.Path = ValidPath(App.Path) & "Settings.inf"
    
    ' Update the listbox
    Files.AddToList lstFiles

    ' Read the settings
    txtPath.Text = Settings.GetString("General", "FolderPath", App.Path)

End Sub

Public Sub DownloadFiles()

    Dim Tell As Long, sURLName As String
    
    For Tell = 0 To Files.Count
        If Files.File(Tell) <> "" Then
            sURLName = GetURLName(Files.File(Tell))
            DownloadFile Files.File(Tell), ValidPath(txtPath.Text) & GetFileName(sURLName) & "-" & Date & "." & GetExtension(sURLName)
        End If
    Next

End Sub
